Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Interface SignallingPointMBean

All Known Subinterfaces:
  OwnSignallingPointMBean

public abstract interface SignallingPointMBean
extends Mtp3ManagedObjectMBean

This interface identifies an Signalling Point. The signalling point can represent either a local or remote signalling point. In the case of a local signalling point, this interface is extended by the Signalling Point MBean interface. The remote signalling point can be either an adjacent or a far-end node.

The following statistics can be collected for this MBean

- MTP3_UNAVAILABILITY_ROUTE_SET
- MTP3_DUR_UNAVAILABILITY
- MTP3_ADJ_SP_INACCESSIBLE
- MTP3_DUR_ADJ_SP_INACCESSIBLE
- MTP3_MSU_DISCARD_ROUTE_DATA_ERR

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- MTP3_ALARM_SP_INACCESSIBLE
- MTP3_ALARM_SP_ACCESSIBLE
- MTP3_ALARM_CONCERNED_SP_PAUSE
- MTP3_ALARM_CONCERNED_SP_RESUME
- MTP3_ALARM_CONCERNED_SP_NETWORK_CONGESTED
- MTP3_ALARM_CONCERNED_SP_USER_UNAVAILABLE
- MTP3_ALARM_CONCERNED_SP_STOP_NET_CONG

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the MTP3 JAIN OAM MBeans

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Field Summary
`static int` | `NI_INTERNATIONAL_00` A Network indicator constant.
`static int` | `NI_INTERNATIONAL_01` A Network indicator constant.
`static int` | `NI_NATIONAL_10` A Network indicator constant.
`static int` | `NI_NATIONAL_11` A Network indicator constant.
`static int` | `TYPE_SEP` A Signalling Type constant: Indicates a Signalling End Point.
`static int` | `TYPE_STEP` A Signalling Type constant: Indicates a Signalling Transfer End Point.
`static int` | `TYPE_STP` A Signalling Type constant: Indicates a Signalling Transfer Point.

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `getMtp3Sap(java.lang.Integer index)` Returns an Mtp3Sap using this signalling point
`ObjectName[]` | `getMtp3Saps()` Returns Mtp3Saps using this signalling point
`java.lang.Integer` | `getNetworkIndicator()` Gets the Network Indicator of this Signalling Point (one of the Network Indicator constants).
`java.lang.Long` | `getSignallingPointCode()` Gets the Signalling Point Code of this Signalling Point.
`java.lang.Integer` | `getType()` Returns the type of this Signalling point (one of the Signalling Type constants).
`void` | `setNetworkIndicator(java.lang.Integer networkInd)` Sets the Network Indicator parameter of this Signalling Point (one of the Network Indicator constants).
`void` | `setSignallingPointCode(java.lang.Long pointCode)` Sets the Signalling Point Code of this Signalling Point.
`void` | `setType(java.lang.Integer type)` Sets the type of this Signalling Point (one of the Signalling Type constants).

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### TYPE_SEP

    public static final int TYPE_SEP

  A Signalling Type constant: Indicates a Signalling End Point.

### TYPE_STP

    public static final int TYPE_STP

  A Signalling Type constant: Indicates a Signalling Transfer Point.

### TYPE_STEP

    public static final int TYPE_STEP

  A Signalling Type constant: Indicates a Signalling Transfer End Point.

### NI_INTERNATIONAL_00

    public static final int NI_INTERNATIONAL_00

  A Network indicator constant.

### NI_INTERNATIONAL_01

    public static final int NI_INTERNATIONAL_01

  A Network indicator constant.

### NI_NATIONAL_10

    public static final int NI_NATIONAL_10

  A Network indicator constant.

### NI_NATIONAL_11

    public static final int NI_NATIONAL_11

  A Network indicator constant.

Method Detail

### setSignallingPointCode

    public void setSignallingPointCode(java.lang.Long pointCode)
                                throws java.lang.IllegalArgumentException

  Sets the Signalling Point Code of this Signalling Point. The signalling point code is a 9 digit number that takes the format:

  SSSAAAZZZ

  where:

  SSS == Signalling Point ID (member)
  AAA == Area Id (cluster)
  ZZZ == Zone Id (network)

  The permitted ranges for each value are outlined in the table below.

  | Signalling Point ID (member) | Area ID (cluster) | Zone Id (network)
  ANSI | 000-255 | 000-255 | 000-255
  ITU | 000-007 | 000-255 | 000-007

  Parameters:
    `pointCode` - the signalling point code
  Throws:
    java.lang.IllegalArgumentException - - thrown if the supplied point code is not in the correct format

### getSignallingPointCode

    public java.lang.Long getSignallingPointCode()

  Gets the Signalling Point Code of this Signalling Point. The format of the signalling point code is explained here.
  Returns:
    the Signalling Point Code

### setNetworkIndicator

    public void setNetworkIndicator(java.lang.Integer networkInd)
                             throws java.lang.IllegalArgumentException

  Sets the Network Indicator parameter of this Signalling Point (one of the Network Indicator constants).
  Parameters:
    `networkInd` - one of the following:

    - NI_INTERNATIONAL_00
    - NI_INTERNATIONAL_01
    - NI_NATIONAL_10
    - NI_NATIONAL_11
  Throws:
    IllegalArgumentException - - if the supplied network indicator is not one of the defined types

### getNetworkIndicator

    public java.lang.Integer getNetworkIndicator()

  Gets the Network Indicator of this Signalling Point (one of the Network Indicator constants).
  Returns:
    one of the following:

    - NI_INTERNATIONAL_00
    - NI_INTERNATIONAL_01
    - NI_NATIONAL_10
    - NI_NATIONAL_11

### setType

    public void setType(java.lang.Integer type)
                 throws java.lang.IllegalArgumentException

  Sets the type of this Signalling Point (one of the Signalling Type constants).
  Parameters:
    `type` - one of the following:

    - TYPE_SEP - a Signalling End Point.
    - TYPE_STP - a Signalling Transfer Point.
    - TYPE_STEP - a Signalling Transfer End Point.
  Throws:
    java.lang.IllegalArgumentException - - if the supplied type is not one of the defined Signallling Type constants

### getType

    public java.lang.Integer getType()

  Returns the type of this Signalling point (one of the Signalling Type constants).
  Returns:
    one of the following:

    - TYPE_SEP - a Signalling End Point. This type of Signalling Point contains MTP and ISUP (and/or other MTP Users), but cannot act as an intermediate MTP transfer node in the SS7 network. (It can act as an SCCP Relay Node.)
    - TYPE_STP - a Signalling Transfer Point. This type of Signalling Point acts as an intermediate node between SEPs to transfer messages through the SS7 network, it only contains MTP1
    - TYPE_STEP - a Signalling Transfer End Point. This the type of signalling Point combines the STP and SEP types, thus acting both as a SEP and as a STP.

### getMtp3Saps

    public ObjectName[] getMtp3Saps()

  Returns Mtp3Saps using this signalling point
  Returns:
    array of Mtp3Sap ObjectNames

### getMtp3Sap

    public ObjectName getMtp3Sap(java.lang.Integer index)

  Returns an Mtp3Sap using this signalling point
  Parameters:
    `index` - index of mtp3Sap
  Returns:
    Mtp3Sap ObjectName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems